# Update single Whitelist Rule

Updates the properties of a single whitelist rule of an organization, including matching libraries, their vulnerability scores and the actions to take

Endpoint: PUT /api/v2.0/orgs/{orgToken}/settings/whiteList/{uuid}
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

  - `uuid` (string, required)
    AllowList rule UUID

## Request fields (application/json):

  - `regex` (string)
    Example: "*aa*"

  - `description` (string)
    Example: "description for white list"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.regexType` (string)
    Enum: "BY_NAME", "BY_LIBRARY"

  - `retVal.regex` (string, required)
    Example: "*aa*"

  - `retVal.createdBy` (string)

  - `retVal.createdAt` (string)

  - `retVal.description` (string)
    Example: "Sample description"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


